(function ($) {
    $.template = function (element, options) {
        let defaults = {
        };
        let plugin = this;
        plugin.settings = {};
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
        };
        plugin.example_function = function () {
        };
        plugin.init();
    };

    $.fn.template = function (options) {

        return this.each(function () {

            if (undefined === $(this).data('template')) {
                let plugin = new $.template(this, options);
                $(this).data('template', plugin);
            }
        });
    }
})(jQuery);
